Skip to main content
DELETE
/
invoices
/
{invoiceId}
Delete invoice
curl --request DELETE \
  --url https://services.leadconnectorhq.com/invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "_id": "6578278e879ad2646715ba9c",
  "status": "draft",
  "liveMode": false,
  "amountPaid": 0,
  "altId": "6578278e879ad2646715ba9c",
  "altType": "location",
  "name": "New Invoice",
  "businessDetails": {
    "name": "Alex",
    "address": {
      "addressLine1": "9931 Beechwood",
      "city": "St. Houston",
      "state": "TX",
      "countryCode": "USA",
      "postalCode": "559-6993"
    },
    "phoneNo": "+1-214-559-6993",
    "website": "www.example.com"
  },
  "invoiceNumber": "19",
  "currency": "USD",
  "contactDetails": {
    "id": "c6tZZU0rJBf30ZXx9Gli",
    "phoneNo": "+1-214-559-6993",
    "email": "alex@example.com",
    "customFields": [],
    "name": "Alex",
    "address": {
      "countryCode": "US"
    }
  },
  "issueDate": "2023-01-01",
  "dueDate": "2023-01-01",
  "invoiceItems": [
    {
      "taxes": [],
      "_id": "c6tZZU0rJBf30ZXx9Gli",
      "productId": "c6tZZU0rJBf30ZXx9Gli",
      "priceId": "c6tZZU0rJBf30ZXx9Gli",
      "currency": "USD",
      "name": "Macbook Pro",
      "qty": 1,
      "amount": 999
    }
  ],
  "total": 999,
  "title": "INVOICE",
  "amountDue": 999,
  "createdAt": "2023-12-12T09:27:42.355Z",
  "updatedAt": "2023-12-12T09:27:42.355Z",
  "discount": {
    "type": "percentage",
    "value": 0
  },
  "automaticTaxesEnabled": true,
  "automaticTaxesCalculated": true,
  "paymentSchedule": {}
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

invoiceId
string
required

Invoice Id

Example:

"6578278e879ad2646715ba9c"

Query Parameters

altId
string
required

location Id / company Id based on altType

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

Alt Type

Available options:
location
Example:

"location"

Response

Successful response

_id
string
required

Invoice Id

Example:

"6578278e879ad2646715ba9c"

status
enum<string>
required

Invoice Status

Available options:
draft,
sent,
payment_processing,
paid,
void,
partially_paid
Example:

"draft"

liveMode
boolean
required

Live Mode

Example:

false

amountPaid
number
required

Amount Paid

Example:

0

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
name
string
required

Name of the invoice

Example:

"New Invoice"

businessDetails
object
required

Business Details

Example:
{
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
}
invoiceNumber
number
required

Invoice Number

Example:

"19"

currency
string
required

Currency

Example:

"USD"

contactDetails
object
required

Contact Details

Example:
{
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": { "countryCode": "US" }
}
issueDate
string
required

Issue date in YYYY-MM-DD format

Example:

"2023-01-01"

dueDate
string
required

Due date in YYYY-MM-DD format

Example:

"2023-01-01"

invoiceItems
string[]
required

Invoice Items

Example:
[
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
]
total
number
required

Total Amount

Example:

999

title
string
required

Title

Example:

"INVOICE"

amountDue
number
required

Total Amount Due

Example:

999

createdAt
string
required

created at

Example:

"2023-12-12T09:27:42.355Z"

updatedAt
string
required

updated at

Example:

"2023-12-12T09:27:42.355Z"

discount
object

Discount

Example:
{ "type": "percentage", "value": 0 }
automaticTaxesEnabled
boolean

Automatic taxes enabled for the Invoice

Example:

true

automaticTaxesCalculated
boolean

Is Automatic taxes calculated for the Invoice items

Example:

true

paymentSchedule
object

split invoice into payment schedule summing up to full invoice amount

Last modified on March 4, 2026